> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/integracion-consulta-and-canje-de-puntos/canje-de-puntos.md).

# Canje de Puntos

Este servicio permite realizar el canje de puntos acumulados por un cliente en el sistema de fidelización de Fenicio.

| Método | URL                            |
| ------ | ------------------------------ |
| `GET`  | `https://{ApiURL}/canjepuntos` |

## Request

| Campo                 | Tipo                                                                                               | Descripción                                                          |
| --------------------- | -------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| **`_idSolicitud`**    | String                                                                                             | Identificador único de la solicitud, utilizado para su trazabilidad. |
| **`numeroDocumento`** | String                                                                                             | Número de documento del cliente que realiza el canje de puntos.      |
| **`puntos`**          | Integer                                                                                            | Cantidad de puntos que se desea canjear.                             |
| **`data`**            | [**Data**](https://guia.fenicio.help/developers/referencia/modelos-de-datos/integraciones.md#data) | Información adicional asociada a la solicitud.                       |

### Ejemplo

```json
{
 "_idSolicitud": "200325120000-FNSHPUY-3c7621ed5a707177c1421cce79338668",
 "numeroDocumento": "41234568",
 "puntos": 50
}
```

## Response

### Caso exitoso

```json
{
    "status": "OK",
    "mensaje": "Canje exitoso.",
    "_idSolicitud": "260630161819-FNSHPUY-e58458a9abf0391ab3807fc222710844",
    "data": {
        "puntosRestantes": "450",
        "tipodescuento": "montofijo",
        "valordescuento": "50",
        "monedadescuento": "M1",
        "montominimo": "4000",
        "grupos": "",
        "descripcion": "Cupón de descuento",
        "validodesde": "2026-07-03 00:00:00",
        "validohasta": "2026-12-31 23:59:00",
        "enviogratis": true,
        "acumuladescproducto": true,
        "acumuladmp": true
    }
} 
```

### Caso de error

```json
{
 "status": "ERROR",
 "mensaje": "Puntos insuficientes.",
 "_idSolicitud": "200325120000-FNSHPUY-3c7621ed5a707177c1421cce79338668";
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/integracion-consulta-and-canje-de-puntos/canje-de-puntos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
